@import url("https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Playwrite+CU:wght@100..400&display=swap");
* {
  box-sizing: border-box;
  margin: 0%;
  padding: 0%;
  transition: all 0.5s linear;
  color: #fff;
  text-transform: capitalize;
}
a {
  color: white;
}
body {
  background-color: #1a1110;
  font-family: "Lato", sans-serif;
}
p {
  margin: 0;
}
/** -------------------------- start global rules-------------------------------- */
.btn:hover {
  border-color: var(--primary_color);
}
.btn a {
  text-decoration: none;
}
/** -------------------------- end global rules-------------------------------- */
header {
  position: relative;
  padding: 2em 0;
  background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.3)),
    url(../img/bg.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  height: 100vh;
}
.logo {
  font-size: 2em;
  font-weight: 600;
  flex: 1;
  color: #fff;
  display: flex;
  align-items: center;
}
.logo img {
  width: 70px;
  margin-right: 1%;
}
/** -------------------------- start nav-------------------------------- */
.navbar {
  width: 100%;
  padding: 2rem 2rem;
  margin: auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
  /* z-index: 1; */
  z-index: 3;
  top: 0;
  position: fixed;
}
.navbar.scrolled {
  background-color: #000;
  box-shadow: rgba(0, 0, 0, 0.35) 0 5px 15px;
}
.nav_items {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex: 1;
  margin: 0 auto;
}
.item {
  display: flex;
  justify-content: center;
}
.nav_items li {
  list-style: none;
  padding: 1em 10px;
}
.nav_items li a {
  text-decoration: none;
  transition: 0.3s;
  font-size: 16px;
  font-weight: 600;
  letter-spacing: 1px;
}
.nav_items li::before {
  content: "";
  width: 0;
  height: 2px;
  background: orangered;
  display: block;
  margin: auto;
  transition: 0.5s;
}
.nav_items li:hover::before {
  width: 100%;
}
.btn {
  padding: 9px 12px;
  font-size: 18px;
  letter-spacing: 2px;
  cursor: pointer;
  background-color: orangered;
  border: 2px solid orangered;
  transition: all 0.5s ease-out;
}
.nav_menu {
  display: none;
}
.navbar .nav_items div .btn {
  width: 106px;
}
.cart-btn {
  margin: 0 10px;
}

/** -------------------------- end nav-------------------------------- */
.main {
  width: 80%;
  left: 50%;
  top: 55%;
  transform: translate(-50%, -50%);
  position: absolute;
  color: #fff;
}
.heading_1 {
  font-size: 2.3em;
}
.heading {
  font-size: 3.5em;
  padding: 1.5% 0;
  font-family: "Playwrite CU", cursive;
}
.main_btn {
  display: flex;
}
.btn1:hover {
  background-color: transparent;
  border: 2px solid orangered;
}
.btn2 {
  background-color: transparent;
  border: 2px solid orangered;

  margin-left: 1%;
  align-items: center;
  display: flex;
}
.btn2 i {
  font-size: 2em;
  margin-right: 6px;
  color: orangered;
}
.btn2:hover {
  background-color: orangered;
}
.btn2:hover i {
  color: #fff;
}
/* __________services */
.sec {
  padding: 8% 0 3% 0;
  width: 85%;
  margin: auto;
}
.head {
  text-align: center;
}
.heading span {
  color: orangered;
}
.head .heading {
  font-family: "lato", sans-serif;
}
.head .heading_1 {
  font-family: "playwrite CU", cursive;
  color: aliceblue;
  font-size: 1.4em;
}
.boxes {
  margin-top: 4rem;
  display: grid;
  gap: 2rem;
  grid-template-columns: repeat(3, 1fr);
}
.box {
  text-align: center;
  padding: 5% 0;
  box-shadow: rgba(0, 0, 0, 1.35) 0 5px 15px;
  border: 2px solid transparent;
}
.box img {
  width: 150px;
}
.box p {
  max-width: 275px;
  margin-inline: auto;
  text-align: center;
  line-height: 1.75rem;
  color: #888;
}
.box h4 {
  margin: 1rem;
  font-size: 1.7rem;
  font-weight: 700;
}
.box:hover {
  border: 2px solid #fff;
  /* cursor: pointer; */
  border-radius: 10px;
}
/* __________about */
/* .about_heading {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 0 6em;
  align-items: center;
}
.about .heading_1,
.about .heading {
  grid-column: 1;
}
.about .para {
  grid-column: 2;
  text-align: right;
  color: #777;
}
.about_box {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2em;
  margin-top: 5%;
}
.para1 {
  color: #888;
  padding-bottom: 5%;
} */
.box1 {
  background-color: #ffeedc;
  box-shadow: rgba(0, 0, 0, 2.24) 0 3px 8px;
  border: 5px solid chocolate;
}
.box1 img {
  width: 100%;
}
.box1_text {
  padding: 4%;
}
.box1_text button:hover {
  color: #000;
}
/* _______contact */
.contact {
  margin-top: 6%;
  width: 100%;
  background-color: #312c2a;
}
.contact_box {
  display: grid;
  width: 85%;
  margin: auto;
  align-items: center;
  grid-gap: 2rem;
  grid-template-columns: 1fr 1fr;
}
.left_box .heading_1 {
  color: orangered;
}
.right_box {
  text-align: right;
}
.right_box img {
  width: 100%;
}
/* __________footer */
.footer_container {
  display: grid;
  gap: 4rem 2rem;
  grid-template-columns: repeat(4, 1fr);
}
.footer_logo img {
  max-width: 40px;
}
.footer_logo span {
  display: flex;
  font-size: 1.8rem;
  font-weight: 800;
}
.footer_col .footer_text {
  max-width: 350px;
  color: #999;
  margin: 2rem 0;
}
.footer_socials {
  display: flex;
  padding-right: 20px;
  align-items: center;
  /* gap: 1.5rem; */
  justify-content: space-between;
  list-style: none;
}
@media (max-width: 480px) {
  .footer_socials {
    justify-content: flex-start;
    gap: 1.5rem;
  }
}
.footer_socials a {
  font-size: 1.8rem;
  text-decoration: none;
  padding: 3%;
}
.footer_socials a:hover {
  background-color: orangered;
}
.footer_col h4 {
  margin-bottom: 2rem;
  font-size: 1.8rem;
  font-weight: 600;
}
.footer_links {
  display: grid;
  gap: 1rem;
  list-style: none;
}
.footer_links a {
  text-decoration: none;
  color: #999;
}
.footer_links a:hover {
  color: orangered;
}
.footer_bar {
  padding: 1rem;
  font-size: 1rem;
  text-align: center;
}
/* __________Scroll-up */
.top {
  background-color: orangered;
  font-size: 40px;
  padding: 0.5rem;
  position: fixed;
  border-radius: 10%;
  right: 5%;
  cursor: pointer;
  bottom: -50%;
  z-index: 2;
}
.top:hover {
  transform: translateY(-0.6rem);
}
.top.show {
  bottom: 8%;
}

@media only screen and (max-width: 1050px) {
  .about_heading {
    gap: 0 2em;
  }
  .about_box,
  .boxes {
    gap: 1em;
  }
  .box1_text .btn {
    padding: 9px;
    font-size: 15px;
  }
  .left_box .heading {
    font-size: 2.5em;
  }
}
@media only screen and (max-width: 850px) {
  .nav_items {
    position: absolute;
    top: -1%;
    left: 0;
    width: 100%;
    padding: 5em 0em 2em 0;
    display: flex;
    align-items: center;
    text-align: center;
    flex-direction: column;
    gap: 0.9rem;
    background-color: #000;
    transition: 0.5s;
    z-index: -1;
    transform: translateY(-100%);
  }
  .nav_items.open {
    transform: translateY(0);
  }
  .item {
    flex-direction: column;
  }
  .nav_menu {
    display: block;
    font-size: 2em;
  }
  .boxes,
  .about_box {
    grid-template-columns: repeat(2, 1fr);
  }
  .contact_box {
    grid-template-columns: 1fr;
  }
  .footer_container {
    grid-template-columns: repeat(3, 1fr);
  }
}
@media only screen and (max-width: 660px) {
  .about_heading {
    grid-template-columns: 1fr;
  }
  .about .para {
    grid-column: 1;
  }
  .boxes,
  .about_box {
    grid-template-columns: repeat(1, 1fr);
  }
  .footer_container {
    grid-template-columns: repeat(2, 1fr);
  }
  .navbar {
    padding: 2rem 2rem;
  }
  .heading {
    font-size: 3em;
  }
  .heading_1 {
    font-size: 2em;
  }
}
@media only screen and (max-width: 480px) {
  .footer_container {
    grid-template-columns: repeat(1, 1fr);
  }
  .btn {
    padding: 9px;
    font-size: 15px;
  }
  .main {
    width: 90%;
  }
  .navbar {
    padding: 1rem 1rem;
  }
}
